> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 语音转文字

> 将音频文件转换为文字。支持的格式：`mp3`、`mp4`、`mpeg`、`mpga`、`m4a`、`wav`、`webm`。文件大小限制为 `30 MB`。



## OpenAPI

````yaml /zh/3.10.x/develop/api/openapi_completion.json post /audio-to-text
openapi: 3.0.1
info:
  title: 文本生成型应用 API
  description: 文本生成型应用提供无会话支持，适用于翻译、文章撰写、摘要总结 AI 等场景。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: 文本生成型应用 API 的基础 URL。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API 基础 URL 的主机与路径，不含 `https://` 前缀。
security:
  - ApiKeyAuth: []
tags:
  - name: 文本生成
    description: 文本生成相关操作。
  - name: 文件操作
    description: 文件管理相关操作。
  - name: 终端用户
    description: 终端用户信息相关操作。
  - name: 消息反馈
    description: 用户反馈相关操作。
  - name: 语音与文字转换
    description: 语音转文字和文字转语音相关操作。
  - name: 应用配置
    description: 获取应用设置和信息的操作。
paths:
  /audio-to-text:
    post:
      tags:
        - 语音与文字转换
      summary: 语音转文字
      description: >-
        将音频文件转换为文字。支持的格式：`mp3`、`mp4`、`mpeg`、`mpga`、`m4a`、`wav`、`webm`。文件大小限制为
        `30 MB`。
      operationId: completionAudioToTextZh
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AudioToTextRequest'
      responses:
        '200':
          description: 语音转文字成功。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AudioToTextResponse'
              examples:
                audioToTextSuccess:
                  summary: 响应示例
                  value:
                    text: >-
                      Hello, I would like to know more about the iPhone 13 Pro
                      Max.
        '400':
          description: |-
            - `app_unavailable` : 应用不可用或配置错误。
            - `no_audio_uploaded` : 未上传音频文件。
            - `provider_not_support_speech_to_text` : 模型提供商不支持语音转文字。
            - `provider_not_initialize` : 未找到有效的模型提供商凭据。
            - `provider_quota_exceeded` : 模型提供商配额已用尽。
            - `model_currently_not_support` : 当前模型不支持此操作。
            - `completion_request_error` : 语音识别请求失败。
          content:
            application/json:
              examples:
                app_unavailable:
                  summary: app_unavailable
                  value:
                    status: 400
                    code: app_unavailable
                    message: App unavailable, please check your app configurations.
                no_audio_uploaded:
                  summary: no_audio_uploaded
                  value:
                    status: 400
                    code: no_audio_uploaded
                    message: Please upload your audio.
                provider_not_support_speech_to_text:
                  summary: provider_not_support_speech_to_text
                  value:
                    status: 400
                    code: provider_not_support_speech_to_text
                    message: Provider not support speech to text.
                provider_not_initialize:
                  summary: provider_not_initialize
                  value:
                    status: 400
                    code: provider_not_initialize
                    message: >-
                      No valid model provider credentials found. Please go to
                      Settings -> Model Provider to complete your provider
                      credentials.
                provider_quota_exceeded:
                  summary: provider_quota_exceeded
                  value:
                    status: 400
                    code: provider_quota_exceeded
                    message: >-
                      Your quota for Dify Hosted OpenAI has been exhausted.
                      Please go to Settings -> Model Provider to complete your
                      own provider credentials.
                model_currently_not_support:
                  summary: model_currently_not_support
                  value:
                    status: 400
                    code: model_currently_not_support
                    message: >-
                      Dify Hosted OpenAI trial currently not support the GPT-4
                      model.
                completion_request_error:
                  summary: completion_request_error
                  value:
                    status: 400
                    code: completion_request_error
                    message: Completion request failed.
        '413':
          description: '`audio_too_large` : 音频文件大小超出限制。'
          content:
            application/json:
              examples:
                audio_too_large:
                  summary: audio_too_large
                  value:
                    status: 413
                    code: audio_too_large
                    message: Audio size exceeded.
        '415':
          description: '`unsupported_audio_type` : 不允许的音频类型。'
          content:
            application/json:
              examples:
                unsupported_audio_type:
                  summary: unsupported_audio_type
                  value:
                    status: 415
                    code: unsupported_audio_type
                    message: Audio type not allowed.
        '500':
          description: '`internal_server_error` : 内部服务器错误。'
          content:
            application/json:
              examples:
                internal_server_error:
                  summary: internal_server_error
                  value:
                    status: 500
                    code: internal_server_error
                    message: Internal server error.
components:
  schemas:
    AudioToTextRequest:
      type: object
      description: 语音转文字的请求体。
      required:
        - file
      properties:
        file:
          type: string
          format: binary
          description: 音频文件。支持格式：`mp3`、`mp4`、`mpeg`、`mpga`、`m4a`、`wav`、`webm`。大小限制：`30 MB`。
        user:
          type: string
          description: 用户标识符。
    AudioToTextResponse:
      type: object
      properties:
        text:
          type: string
          description: 语音识别输出的文字。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 认证。对于所有 API 请求，请在 `Authorization` HTTP 头中包含您的 API Key，并加上
        `Bearer ` 前缀。示例：`Authorization: Bearer {API_KEY}`。**强烈建议将 API Key
        存储在服务端，不要在客户端共享或存储，以避免 API Key 泄漏导致严重后果。**

````